Could not load the Qt platform plugin "xcb"

Rif's Avatar

Rif

26 Apr, 2019 03:10 AM

I'm using xubuntu 18.04(Linux 4.15.0-48-generic x86_64
)(buildd@lgw01-amd64-036) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #51-Ubuntu SMP),
after installing anki as shown on anki's web:

    $ tar xjf Downloads/anki-2.1.12-amd64.tar.bz2
    $ cd anki-2.1.12-linux-amd64
    $ sudo make install

I got this message when I run anki:

> qt: Could not load the Qt platform plugin "xcb" in "" even though it
> was found. qt: This application failed to start because no Qt platform
> plugin could be initialized. Reinstalling the application may fix this
> problem.
>
> Available platform plugins are: eglfs, linuxfb, minimal, minimalegl,
> offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl,
> wayland-xcomposite-glx, xcb.
>
> [1] 3022 abort (core dumped) anki

Even after reinstalling it, or restarting my machine.

  1. Support Staff 1 Posted by Damien Elmes on 26 Apr, 2019 05:34 AM

    Damien Elmes's Avatar

    Please set this env var, then run again. Does it reveal anything more?

    export QT_DEBUG_PLUGINS=1

  2. 2 Posted by Rif on 26 Apr, 2019 08:30 AM

    Rif's Avatar
  3. Support Staff 3 Posted by Damien Elmes on 27 Apr, 2019 12:02 AM

    Damien Elmes's Avatar

    Glad to hear you were able to resolve the issue :-)

Comments are closed, but you can start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac